<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/bdd/conectar.php');


	if($_POST['enviar']) {

		$consulta="
			SELECT *
			FROM ".$mysqlPrefix."Inventarios
			WHERE Inventario=?
			AND Ejercicio=?
			AND Usuario=?
			AND ( isnull(Enviado) OR Enviado='0000-00-00 00:00:00' )
			ORDER BY Id DESC
			";
		
		$temp=$conexionBdd->prepare($consulta);
		$temp->execute(array($_SESSION['inventario'],$_SESSION['inventarioEjercicio'],$_SESSION['usuario']['Usuario']));
	
	}
	else {
	
	
		$consulta="
			SELECT *
			FROM ".$mysqlPrefix."Inventarios
			WHERE Inventario=?
			AND Ejercicio=?
			AND Enviado>'0000-00-00 00:00:00'
			ORDER BY Id DESC
			";
		
		$temp=$conexionBdd->prepare($consulta);
		$temp->execute(array($_SESSION['inventario'],$_SESSION['inventarioEjercicio']));
	
	}
	
	$listado=array();
	foreach($temp as $item) $listado[]=$item;
	
	$comboCodigos=array();
	$comboDescripciones=array();
	$comboPalets=array();
	$comboUbicaciones=array();
	$comboUsuarios=array();
	
	foreach($listado as $item) {
	
		if(!in_array($item['Codigo'],$comboCodigos) && $item['Codigo']!='') $comboCodigos[]=$item['Codigo'];
		if(!in_array($item['Descripcion'],$comboDescripciones) && $item['Descripcion']!='') $comboDescripciones[]=$item['Descripcion'];
		if(!in_array($item['Palet'],$comboPalets) && $item['Palet']!='') $comboFamilias[]=$item['Palet'];
		if(!in_array($item['Ubicacion'],$comboUbicaciones) && $item['Ubicacion']!='') $comboUbicaciones[]=$item['Ubicacion'];
		if(!in_array($item['Usuario'],$comboUsuarios) && $item['Usuario']!='') $comboUsuarios[]=$item['Usuario'];
		
	}
	
	if(count($listado)>0) {
	
		?>
		<table class="tablaFormateada anchoMaximo">
			<tr>
            	<?php if(!$_POST['enviar']) { ?>
                <th>Fecha</th>
				<th>Hora</th>
                <th>Usuario</th>
                <?php } ?>
				<th>Código</th>
				<th>Descripción</th>
				<th>Ubicación</th>
				<?php if($_SESSION['gestionPaletizado']=='S') { ?><th>Contenedor</th><?php } ?>
				<th>Lote</th>
				<th>F. Caducidad</th>
				<th>Nº Serie</th>
				<th>Estado</th>
				<th>Cantidad</th>
                <?php if($_POST['enviar']) { ?><th></th><?php } ?>
			</tr>
			<?php
			foreach($listado as $item) {
				?>
				<tr class="lineaOrden" codigo="<?php echo $item['Codigo']; ?>" descripcion="<?php echo $item['Descripcion']; ?>" ubicacion="<?php echo $item['Ubicacion']; ?>" palet="<?php echo $item['Palet']; ?>" usuario="<?php echo $item['Usuario']; ?>" >
					<?php if(!$_POST['enviar']) { ?>
                    <td><?php echo fechaNacional($item['FechaHora']); ?></td>
                    <td><?php echo horaNacional($item['FechaHora']); ?></td>
                    <td><?php echo $item['Usuario']; ?></td>
                    <?php } ?>
                    <td><?php echo $item['Codigo']; ?></td>
					<td><?php echo $item['Descripcion']; ?></td>
					<td><?php echo $item['Ubicacion']; ?></td>
					<?php if($_SESSION['gestionPaletizado']=='S') { ?><td><?php echo $item['Contenedor']; ?></td><?php } ?>
					<td><?php echo $item['Lote']; ?></td>
					<td><?php echo fechaNacional($item['FechaCaducidad']); ?></td>
					<td><?php echo $item['NumeroSerie']; ?></td>
					<td><?php echo $item['Estado']; ?></td>
					<td><?php echo $item['Cantidad']; ?></td>
                    <?php if($_POST['enviar']) { ?><td><img id="eliminar-<?php echo $item['Id']; ?>" linea="<?php echo $item['Id']; ?>" src="<?php echo $rutaHtml; ?>/img/x.png" alt="Eliminar lectura" width="50" height="50" class="eliminar clicable"/></td><?php } ?>
				</tr>
				<?php
			}
			?>
		</table>
		
        <?php if($_POST['enviar']) { ?>
		<form id="formularioEnvio" name="formularioEnvio" method="post" action="">
          <p><input type="submit" name="enviarInventario" id="enviarInventario" value="Enviar Inventario" class="boton mostrarCargando"/></p>
        </form>
        <?php } ?>
        
		<div class="barraFiltro">
			
			<table cellpadding="5" style="margin:0 auto">
				<tr>
					<td <?php if($_POST['enviar']) { ?>style="display:none"<?php } ?>>
					Usuario:<br />
					<select name="filtroUsuario" id="filtroUsuario" class="campo selectorFiltro" style="width:200px">
						<option value="">---</option>
						<?php foreach($comboUsuarios as $item) { ?>
						<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
						<?php } ?>
					</select>
					</td>
                    <td>
					Código:<br />
					<select name="filtroCodigo" id="filtroCodigo" class="campo selectorFiltro" style="width:200px">
						<option value="">---</option>
						<?php foreach($comboCodigos as $item) { ?>
						<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
						<?php } ?>
					</select>
					</td>
					<td>
					Descripción:<br /> 
					<select name="filtroDescripcion" id="filtroDescripcion" class="campo selectorFiltro" style="width:200px">
						<option value="">---</option>
						<?php foreach($comboDescripciones as $item) { ?>
						<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
						<?php } ?>
					</select>
					</td>
					<td <?php if($_SESSION['gestionPaletizado']=='N') { ?>style="display:none"<?php } ?>>
					Contenedor:<br />
					<select name="filtroPalet" id="filtroPalet" class="campo selectorFiltro">
						<option value="">---</option>
						<?php foreach($comboPalets as $item) { ?>
						<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
						<?php } ?>
					</select>
					</td>
					<td>
					Ubicación: <br />
					<select name="filtroUbicacion" id="filtroUbicacion" class="campo selectorFiltro">
						<option value="">---</option>
						<?php foreach($comboUbicaciones as $item) { ?>
						<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
						<?php } ?>
					</select>
					</td>
                    <td>
					<img id="filtroApagado" src="<?php echo $rutaHtml; ?>/img/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
					<img id="aplicarFiltro" src="<?php echo $rutaHtml; ?>/img/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
					<img id="quitarFiltro" src="<?php echo $rutaHtml; ?>/img/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
					</td>
			  </tr>
			</table>
			
		</div>
		
		<script>
        
            function repintarTabla() {
            
                $(".lineaOrden").children('td').css('background-color','#ffffff');
                $(".lineaOrden").children('td').css('border-bottom','');
                $(".lineaOrden").children('td').css('border-radius','');
                $(".lineaOrden").children('td').css('-mozborder-radius','');
                $(".lineaOrden").children('td').css('-webkit-border-radius','');
            
                var par=true;
                $(".lineaOrden").each(function(){
                    if( $(this).is(":visible") ) {
                        if(par) $(this).children('td').css('background-color','#ffffff');
                        else $(this).children('td').css('background-color','#eeeeee');
                        par = !par;
                        ultimaFila=$(this);
                    }
                });
                
                ultimaFila.children('td').css('border-bottom','1px solid #999999');
                ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
                ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
                ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
                ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
                ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
                ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
				
				$('#popupCargando').hide();
            
            }
            
            function aplicarFiltro(id) {
            
				$('#popupCargando').show();
			
                if( $('#filtroCodigo').val()=='' && $('#filtroDescripcion').val()=='' && $('#filtroPalet').val()=='' && $('#filtroUbicacion').val()=='' && $('#filtroUsuario').val()=='' ) {
                    $('#filtroApagado').show();
                    $('#quitarFiltro').hide();
                    $('#aplicarFiltro').hide();
                }
                else  {
                    $('#filtroApagado').hide();
                    $('#quitarFiltro').show();
                    $('#aplicarFiltro').hide();
                }
                
                $('.lineaOrden').each(function() {
                
                    var coincidenciaCodigo=false;
                    var coincidenciaDescripcion=false;
                    var coincidenciaPalet=false;
                    var coincidenciaUbicacion=false;
					var coincidenciaUsuario=false;
                
                    if( $('#filtroCodigo').val()!='' && $(this).attr('codigo')==$('#filtroCodigo').val() ) coincidenciaCodigo=true;
                    else if( $('#filtroCodigo').val()=='' ) coincidenciaCodigo=true;
                
                    if( $('#filtroDescripcion').val()!='' && $(this).attr('descripcion')==$('#filtroDescripcion').val() ) coincidenciaDescripcion=true;
                    else if( $('#filtroDescripcion').val()=='' ) coincidenciaDescripcion=true;
                    
                    if( $('#filtroPalet').val()!='' && $(this).attr('palet')==$('#filtroPalet').val() ) coincidenciaPalet=true;
                    else if( $('#filtroPalet').val()=='' ) coincidenciaPalet=true;
                    
                    if( $('#filtroUbicacion').val()!='' && $(this).attr('ubicacion')==$('#filtroUbicacion').val() ) coincidenciaUbicacion=true;
                    else if( $('#filtroUbicacion').val()=='' ) coincidenciaUbicacion=true;
					
					if( $('#filtroUsuario').val()!='' && $(this).attr('usuario')==$('#filtroUsuario').val() ) coincidenciaUsuario=true;
                    else if( $('#filtroUsuario').val()=='' ) coincidenciaUsuario=true;
                    
                    if( coincidenciaCodigo && coincidenciaDescripcion && coincidenciaPalet && coincidenciaUbicacion && coincidenciaUsuario ) $(this).show();
                    else $(this).hide();
                });
                
        
                repintarTabla();
            
            }
            
            $(document).ready(function() {
            
				$('.eliminar').on("click",function() {
				
					var id=$(this).attr('linea');
					
					confirm( 'Se va a proceder a eliminar la lectura de \n'+$(this).parent().parent().attr('descripcion') ).
					done( function(){
					
						$('#popupCargando').show();
					
						$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-eliminar-producto.php", { 'id' : id })
						.done(function(data) {
							$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-listado.php", { 'enviar' : true } ).done( function(data) {
								$('#listadoInventario').html(data);
								$('#popupCargando').hide();
								reinicia();
							});
						});
					})
				
				});
			
                $('#quitarFiltro').on("click",function() {
                
                    $('#filtroCodigo option:selected').removeProp('selected');
                    $('#filtroDescripcion option:selected').removeProp('selected');
                    $('#filtroPalet option:selected').removeProp('selected');
                    $('#filtroUbicacion option:selected').removeProp('selected');
					$('#filtroUsuario option:selected').removeProp('selected');
                    
                    $('#filtroCodigo option[value=""]').prop('selected',true);
                    $('#filtroDescripcion option[value=""]').prop('selected',true);
                    $('#filtroPalet option[value=""]').prop('selected',true);
                    $('#filtroUbicacion option[value=""]').prop('selected',true);
					$('#filtroUsuario option[value=""]').prop('selected',true);
                    
                    $('#filtroApagado').show();
                    $('#quitarFiltro').hide();
                    $('#aplicarFiltro').hide();
        
                    $(".lineaOrden").show();
                    
                    repintarTabla();
                    
                });
                
                $('.selectorFiltro').on("change",function() {
                    aplicarFiltro();
                });
				
				$('#enviarInventario').on("click",function(){
					$('#popupCargando').show();
				});
				
				<?php if( count($listado)>=10 && !$_POST['evitarControl'] ) { ?>
					alert('Atención! Tienes ya registradas diez lecturas de inventario.<br><br>Es recomendable que sean enviadas al sistema.',null,'advertencia');
				<?php } ?>
            
            });
        
        </script>
	
	<?php 
	}

include($rutaPhp.$rutaHtml.'/bdd/desconectar.php');
?>